import json
import logging

import requests

from functools import wraps
from rest_framework.request import Request

logger = logging.getLogger(__name__)


def get_account_info(func):
    @wraps(func)
    def account_info(obj, req: Request, *args, **kw):
        # info = requests.get('http://172.17.1.74:8248/getUserInfo', headers={
        #     'Cookie': 'aiforce=a038baa0-9a23-45f6-8042-a01a2309f1a8; JSESSIONID=fef7de70-7157-4b62-abf3-6fe9d2357350; csrfToken=wFVUJX9rT2jyDderTzHKUjaq; EGG_SESS=pRumla5Jc0N4k1qJnqyfP0SIlONA60YZCFEMh2sO_ywQrldAhhiX4Y2exluQfYfm'})
        # print(info.json())
        logger.info('req中的data为: ', json.dump(req.GET, ensure_ascii=False))
        # logger.info('req中的query_params为: ', req.query_params)
        # logger.info('req中的query_params为: ', req.parsers())
        return func(req, *args, **kw)

    return account_info

# get_account_info()
